stages:
  - test
  - build
  - release

variables:
  TERRAFORM_REGISTRY_MODULE_NAME: tools-k8s
  TERRAFORM_REGISTRY_SYSTEM_NAME: elasticsearch

include:
  - project: vigigloo/gitlab-pipeline-fragments
    ref: v1
    file:
      - docker.auto.yml
      - registry/terraform.auto.yml

docker:kaniko:build:development:
  variables:
    CI_APPLICATION_TAG: $BASE_IMAGE_TAG-$DOCKER_BUILD_ARG_PLUGINS
    CI_APPLICATION_REPOSITORY: $CI_REGISTRY_IMAGE
    BASE_IMAGE_REPOSITORY: docker.elastic.co/elasticsearch/elasticsearch
  parallel:
    matrix:
      - BASE_IMAGE_TAG:
        - 7.17.1
        DOCKER_BUILD_ARG_BASE_IMAGE: $BASE_IMAGE_REPOSITORY:$BASE_IMAGE_TAG
        DOCKER_BUILD_ARG_PLUGINS: ingest-attachment

".vigigloo:terraform":
  image:
    name: hashicorp/terraform:1.5

